## org.apache.poi.hssf.record
Class WSBoolRecord

    java.lang.Object
      org.apache.poi.hssf.record.Record
          org.apache.poi.hssf.record.WSBoolRecord

public class WSBoolRecord
extends Record

Title: WSBool Record.

Description: stores workbook settings (aka its a big "everything we didn't put somewhere else")

REFERENCE: PG 425 Microsoft Excel 97 Developer's Kit (ISBN: 1-57231-498-2)

Version:
  2.0-pre
Author:
  Andrew C. Oliver (acoliver at apache dot org), Glen Stampoultzis (gstamp@iprimus.com.au), Jason Height (jheight at chariot dot net dot au)

Field Summary
`static short` `sid`

Constructor Summary
`WSBoolRecord()`
`WSBoolRecord(short id, short size, byte[] data)` Constructs a WSBool record and sets its fields appropriately.
`WSBoolRecord(short id, short size, byte[] data, int offset)` Constructs a WSBool record and sets its fields appropriately.

Method Summary
`java.lang.Object` `clone()`
`protected void` `fillFields(byte[] data, short size, int offset)` called by the constructor, should set class level fields.
`boolean` `getAlternateExpression()` whether alternate expression evaluation is on
`boolean` `getAlternateFormula()` whether alternative formula entry is on
`boolean` `getAutobreaks()` show automatic page breaks or not
`boolean` `getDialog()` get whether sheet is a dialog sheet or not
`boolean` `getDisplayGuts()` get whether to display the guts or not
`boolean` `getFitToPage()` fit to page option is on
`int` `getRecordSize()` gives the current serialized size of the record.
`boolean` `getRowSumsBelow()` get if row summaries appear below detail in the outline
`boolean` `getRowSumsRight()` get if col summaries appear right of the detail in the outline
`short` `getSid()` return the non static version of the id for this record.
`byte` `getWSBool1()` get first byte (see bit getters)
`byte` `getWSBool2()` get the second byte (see bit getters)
`int` `serialize(int offset, byte[] data)` called by the class that is responsible for writing this sucker.
`void` `setAlternateExpression(boolean altexp)` whether alternate expression evaluation is on
`void` `setAlternateFormula(boolean formula)` whether alternative formula entry is on
`void` `setAutobreaks(boolean ab)` show automatic page breaks or not
`void` `setDialog(boolean isDialog)` set whether sheet is a dialog sheet or not
`void` `setDisplayGuts(boolean guts)` set whether to display the guts or not
`void` `setFitToPage(boolean fit2page)` fit to page option is on
`void` `setRowSumsBelow(boolean below)` set if row summaries appear below detail in the outline
`void` `setRowSumsRight(boolean right)` set if col summaries appear right of the detail in the outline
`void` `setWSBool1(byte bool1)` set first byte (see bit setters)
`void` `setWSBool2(byte bool2)` set the second byte (see bit setters)
`java.lang.String` `toString()` get a string representation of the record (for biffview/debugging)
`protected void` `validateSid(short id)` called by constructor, should throw runtime exception in the event of a record passed with a differing ID.

Methods inherited from class org.apache.poi.hssf.record.Record
`fillFields, isInValueSection, isValue, processContinueRecord, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### WSBoolRecord

    public WSBoolRecord()

### WSBoolRecord

    public WSBoolRecord(short id,
                        short size,
                        byte[] data)

  Constructs a WSBool record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x81 or an exception will be throw upon validation
  `size` - the size of the data area of the record
  `data` - data of the record (should not contain sid/len)

### WSBoolRecord

    public WSBoolRecord(short id,
                        short size,
                        byte[] data,
                        int offset)

  Constructs a WSBool record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x81 or an exception will be throw upon validation
  `size` - the size of the data area of the record
  `data` - data of the record (should not contain sid/len)

Method Detail

### validateSid

    protected void validateSid(short id)

  Description copied from class: `Record`
  called by constructor, should throw runtime exception in the event of a record passed with a differing ID.

  Specified by:
    `validateSid` in class `Record`
  Parameters:
    `id` - alleged id for this record

### fillFields

    protected void fillFields(byte[] data,
                              short size,
                              int offset)

  Description copied from class: `Record`
  called by the constructor, should set class level fields. Should throw runtime exception for bad/icomplete data.

  Specified by:
    `fillFields` in class `Record`
  Parameters:
    `data` - raw data
    `size` - size of data
    `offset` - of the record's data (provided a big array of the file)

### setWSBool1

    public void setWSBool1(byte bool1)

  set first byte (see bit setters)

### setAutobreaks

    public void setAutobreaks(boolean ab)

  show automatic page breaks or not

  Parameters:
    `ab` - whether to show auto page breaks

### setDialog

    public void setDialog(boolean isDialog)

  set whether sheet is a dialog sheet or not

  Parameters:
    `isDialog` - or not

### setRowSumsBelow

    public void setRowSumsBelow(boolean below)

  set if row summaries appear below detail in the outline

  Parameters:
    `below` - or not

### setRowSumsRight

    public void setRowSumsRight(boolean right)

  set if col summaries appear right of the detail in the outline

  Parameters:
    `right` - or not

### setWSBool2

    public void setWSBool2(byte bool2)

  set the second byte (see bit setters)

### setFitToPage

    public void setFitToPage(boolean fit2page)

  fit to page option is on

  Parameters:
    `fit2page` - fit or not

### setDisplayGuts

    public void setDisplayGuts(boolean guts)

  set whether to display the guts or not

  Parameters:
    `guts` - or no guts (or glory)

### setAlternateExpression

    public void setAlternateExpression(boolean altexp)

  whether alternate expression evaluation is on

  Parameters:
    `altexp` - alternative expression evaluation or not

### setAlternateFormula

    public void setAlternateFormula(boolean formula)

  whether alternative formula entry is on

  Parameters:
    `formula` - alternative formulas or not

### getWSBool1

    public byte getWSBool1()

  get first byte (see bit getters)

### getAutobreaks

    public boolean getAutobreaks()

  show automatic page breaks or not

  Returns:
    whether to show auto page breaks

### getDialog

    public boolean getDialog()

  get whether sheet is a dialog sheet or not

  Returns:
    isDialog or not

### getRowSumsBelow

    public boolean getRowSumsBelow()

  get if row summaries appear below detail in the outline

  Returns:
    below or not

### getRowSumsRight

    public boolean getRowSumsRight()

  get if col summaries appear right of the detail in the outline

  Returns:
    right or not

### getWSBool2

    public byte getWSBool2()

  get the second byte (see bit getters)

### getFitToPage

    public boolean getFitToPage()

  fit to page option is on

  Returns:
    fit or not

### getDisplayGuts

    public boolean getDisplayGuts()

  get whether to display the guts or not

  Returns:
    guts or no guts (or glory)

### getAlternateExpression

    public boolean getAlternateExpression()

  whether alternate expression evaluation is on

  Returns:
    alternative expression evaluation or not

### getAlternateFormula

    public boolean getAlternateFormula()

  whether alternative formula entry is on

  Returns:
    alternative formulas or not

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public int serialize(int offset,
                         byte[] data)

  Description copied from class: `Record`
  called by the class that is responsible for writing this sucker. Subclasses should implement this so that their data is passed back in a byte array.

  Specified by:
    `serialize` in class `Record`
  Parameters:
    `offset` - to begin writing at
    `data` - byte array containing instance data
  Returns:
    number of bytes written

### getRecordSize

    public int getRecordSize()

  Description copied from class: `Record`
  gives the current serialized size of the record. Should include the sid and reclength (4 bytes).

  Overrides:
    `getRecordSize` in class `Record`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

Copyright © 2003 Apache Software Foundation.